/*
 * accelerate.c: handle the acceleration of up and down buttons
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: accelerate.c,v 1.1 1999/02/21 13:41:56 ga58 Exp $
 *
 * $Log: accelerate.c,v $
 * Revision 1.1  1999/02/21 13:41:56  ga58
 *  - Version 3.29
 *
 * Revision 1.1  1999/02/04 16:16:13  ga58
 *  - Version 3.26, new acceleration algorithm
 *
 */

#include "titraxAll.h"
#include "accelerate.h"

static Int incr;
static Int repeatCounter = 0;

void
Accel_Init(Int defIncr)
{
  repeatCounter = 0;
  incr = defIncr;
}

Int
Accel_Incr(void)
{
  if (repeatCounter > 50)
	 return incr * 10;
  if (repeatCounter > 30)
	 return incr * 5;
  if (repeatCounter > 10)
	 return incr * 2;

  return incr;
}

/*
 * if true: increase repeatCounter
 * if false: reset repeatCounter
 */
void
Accel_Handle(Boolean event)
{
  if (event)
	 repeatCounter++;
  else
	 repeatCounter = 0;
}
