/*
 * clearForm: clear dialog handler
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: clearForm.c,v 1.3 1999/06/03 12:04:29 ga58 Exp $
 *
 * $Log: clearForm.c,v $
 * Revision 1.3  1999/06/03 12:04:29  ga58
 *  - Version 3.32
 *
 * Revision 1.2  1999/02/28 16:36:36  ga58
 *  - Version 3.31
 *
 * Revision 1.1  1999/02/27 17:39:03  ga58
 *  - Version 3.30
 *
 */

#include "titraxAll.h"
#include "titraxID.h"
#include "callback.h"
#include "titraxPref.h"
#include "mainForm.h"
#include "slotClear.h"
#include "clearForm.h"

static void
ClearFormInit(void)
{
  FormPtr frm = FrmGetActiveForm();

  if (Prefs()->editedSlot != noSlotActive)
	 FrmCopyTitle(frm, "Clear this project");

  CtlSetValue(GetObjectPtr(clearFormTime), Prefs()->clearTime);
  CtlSetValue(GetObjectPtr(clearFormNote), Prefs()->clearNote);

  FrmDrawForm(frm);
}

Boolean
ClearFormHandleEvent(EventPtr event)
{
  Boolean handled;

  CALLBACK_PROLOGUE

  handled = false;

  switch (event->eType) {
  case ctlSelectEvent:
	 if (event->data.ctlEnter.controlID == clearFormCommit) {
		Prefs()->clearTime = CtlGetValue(GetObjectPtr(clearFormTime));
		Prefs()->clearNote = CtlGetValue(GetObjectPtr(clearFormNote));

		if (Prefs()->editedSlot != noSlotActive)
		  SlotClear(Prefs()->editedSlot, Prefs()->clearTime, Prefs()->clearNote);
		else
		  SlotClearAll(Prefs()->clearTime, Prefs()->clearNote);
		
		FrmGotoForm(mainForm);
		handled = true;
	 }

	 if (event->data.ctlEnter.controlID == clearFormCancel) {
		FrmGotoForm(mainForm);
		handled = true;
	 }
	 break;

  case frmOpenEvent: {
	 ClearFormInit();
	 Prefs()->actualForm = clearForm;
	 handled = true;
	 break;
  }

  default:
	 handled = false;
  }

  CALLBACK_EPILOGUE

  return handled;
}
