/*
 * saveForm: save dialog handler
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: saveForm.c,v 1.2 1999/06/03 12:04:43 ga58 Exp $
 *
 * $Log: saveForm.c,v $
 * Revision 1.2  1999/06/03 12:04:43  ga58
 *  - Version 3.32
 *
 * Revision 1.1  1999/02/28 16:36:44  ga58
 *  - Version 3.31
 *
 */

#include "titraxAll.h"
#include "titraxID.h"
#include "callback.h"
#include "titraxPref.h"
#include "project.h"
#include "datedb.h"
#include "slotClear.h"
#include "mainForm.h"
#include "saveForm.h"

static FormPtr frm;

static void
SaveFormInit(void)
{
  frm = FrmGetActiveForm();

  FrmDrawForm(frm);

  CtlSetValue(GetObjectPtr(saveFormHeader), Prefs()->summary.headerLine);
  CtlSetValue(GetObjectPtr(saveFormDescr), Prefs()->summary.fieldDescr);

  CtlSetValue(GetObjectPtr(saveFormName), Prefs()->summary.inclName);
  CtlSetValue(GetObjectPtr(saveFormTime), Prefs()->summary.inclTime);
  CtlSetValue(GetObjectPtr(saveFormNote), Prefs()->summary.inclNote);

  CtlSetValue(GetObjectPtr(saveFormQuote), Prefs()->summary.quoteFields);

  // temporary work around for upgraders from version 3.30+
  if (Prefs()->summary.fieldDelimiter > Slash)
	 Prefs()->summary.fieldDelimiter = Comma;

  FrmSetControlGroupSelection(frm, 1, saveFormComma + Prefs()->summary.fieldDelimiter);
}

Boolean
SaveFormHandleEvent(EventPtr event)
{
  Boolean handled;

  CALLBACK_PROLOGUE

  handled = false;

  switch (event->eType) {
  case ctlSelectEvent:
	 if (event->data.ctlEnter.controlID == saveFormCommit) {
		Prefs()->summary.headerLine = CtlGetValue(GetObjectPtr(saveFormHeader));
		Prefs()->summary.fieldDescr = CtlGetValue(GetObjectPtr(saveFormDescr));
		
		Prefs()->summary.inclName = CtlGetValue(GetObjectPtr(saveFormName));
		Prefs()->summary.inclTime = CtlGetValue(GetObjectPtr(saveFormTime));
		Prefs()->summary.inclNote = CtlGetValue(GetObjectPtr(saveFormNote));

		Prefs()->summary.quoteFields = CtlGetValue(GetObjectPtr(saveFormQuote));

		Prefs()->summary.fieldDelimiter = FrmGetObjectId(frm, FrmGetControlGroupSelection(frm, 1)) - saveFormComma;

		Stop(ActiveSlot());

		CreateSummary();

		FrmGotoForm(mainForm);

		FrmPopupForm(clearForm);

		handled = true;
	 }

	 if (event->data.ctlEnter.controlID == saveFormCancel) {
		FrmGotoForm(mainForm);
		handled = true;
	 }
	 break;

  case frmOpenEvent: {
	 SaveFormInit();
	 Prefs()->actualForm = saveForm;
	 handled = true;
	 break;
  }

  default:
	 handled = false;
  }

  CALLBACK_EPILOGUE

  return handled;
}
