/*
 * slotClear: utility routines for clearing or removing slots
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: slotClear.c,v 1.4 1999/06/03 12:04:47 ga58 Exp $
 *
 * $Log: slotClear.c,v $
 * Revision 1.4  1999/06/03 12:04:47  ga58
 *  - Version 3.32
 *
 * Revision 1.3  1999/02/28 16:36:45  ga58
 *  - Version 3.31
 *
 * Revision 1.2  1999/02/27 17:39:05  ga58
 *  - Version 3.30
 *
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.3  1999/01/31 19:05:12  ga58
 *  - Version 3.25. New layout for the time boxes and version info for the
 *    databases.
 *
 * Revision 1.2  1999/01/30 19:08:18  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 * Revision 1.1  1999/01/24 20:23:05  ga58
 *  - Beta version 3.23
 *
 */

#include "titraxAll.h"
#include "titraxConst.h"
#include "slotData.h"
#include "slotName.h"
#include "slotNote.h"
#include "project.h"
#include "titraxPref.h"
#include "slotClear.h"

void
SlotClear(Int slot, Boolean time, Boolean note)
{
  ULong val = 0;

  if (time) {
	 if (slot == ActiveSlot())
		SetActiveSlot(noSlotActive);

	 SetSlotData(slot, Elapsed, &val, sizeof(val));
	 SetSlotData(slot, StartedAt, &val, sizeof(val));
  }

  if (note)
	 SetSlotNote(slot, "");
}

void
SlotClearAll(Boolean time, Boolean note)
{
  int slot;
  
  for(slot = 0; slot < Prefs()->maxSlot; slot++)
	 SlotClear(slot, time, note);
}

void
SlotRemove(Int slot)
{
  loggingType log = dontLog;
  Boolean val = false;

  SlotClear(slot, true, true);

  SetSlotName(slot, "");
  SetSlotData(slot, Logging, &log, sizeof(log));
  SetSlotData(slot, Ignored, &val, sizeof(val));
}

void
SlotRemoveAll(void)
{
  int slot;

  for(slot = 0; slot < Prefs()->maxSlot; slot++)
	 SlotRemove(slot);
}
