/*
 * titraxAllDBs: utility functions for handling all titrax databases
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: titraxAllDBs.c,v 1.2 1999/02/28 16:36:55 ga58 Exp $
 *
 * $Log: titraxAllDBs.c,v $
 * Revision 1.2  1999/02/28 16:36:55  ga58
 *  - Version 3.31
 *
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.1  1999/01/30 19:08:31  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 */

#include "titraxAll.h"
#include "titraxConst.h"
#include "slotData.h"
#include "slotName.h"
#include "slotNote.h"
#include "slotNameList.h"
#include "titraxPref.h"
#include "titraxAllDBs.h"

void
OpenAllDBs(void)
{
  OpenSlotDataDatabase();
  OpenSlotNameDatabase();
  OpenSlotNoteDatabase();
  OpenSlotNameList();
}

void
CloseAllDBs(void)
{
  CloseSlotNameList();
  CloseSlotNoteDatabase();
  CloseSlotNameDatabase();
  CloseSlotDataDatabase();
}

/*
 * If the user enters a new size, that is too large, to fit into the Pilot's
 * memory, OpenAllDBs will crash with an ErrDisplay. So the new value of 
 * MaxSlot in the preferences will NOT be written into the preferences 
 * database, so with the next start of titrax, we will read the old value
 * from the preferences (hopefully....)
 */
void
ResizeAllDBs(Int newSize)
{
  if (newSize == Prefs()->maxSlot)
	 return;

  if (newSize < VISSLOT)
	 newSize = VISSLOT;

  CloseAllDBs();
  Prefs()->maxSlot = newSize;
  OpenAllDBs();
}
